package com.virjar.g4proxyserver.controller;

import com.virjar.g4proxyserver.netty.AvailablePortManager;
import com.virjar.g4proxyserver.netty.server.ProxyServer;

import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * Created by virjar on 2019/2/23.
 */
@RestController
public class AvailablePortController {

    @GetMapping("portList")
    public String availablePortMapping() {
        return StringUtils.join(ProxyServer.getInstance().mappingPort(), "\r\n");
    }

    @GetMapping("deviceMapping")
    @ResponseBody
    public Object deviceMapping() {
        return AvailablePortManager.getInstance().deviceMapping();
    }
}
